Skip to main content
https://.thoughtindustries.com

Upload Xliff

Uploads an XLIFF file to update the translations for the specified learning path

Uploads an XLIFF file to update the translations for the specified learning path.

PUThttps://example.thoughtindustries.com/incoming/v2/content/learningPaths/:id.xlf

Example request

curl -X PUT "https://example.thoughtindustries.com/incoming/v2/content/learningPaths/:id.xlf" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "string",
  "xmlBody": "string"
}'

Parameters

NameTypeRequiredLocationDescription
iduuidYespathThe id identifier.
typeContentSearchTypeYesbodyThe content type associated with the learning path being updated.
xmlBodystringYesbodyThe raw XML content of the XLIFF file to upload.

Example response

{
  "data": {
    "ContentUploadXliff": true
  }
}